aboutsummaryrefslogtreecommitdiff
path: root/capture.sh
diff options
context:
space:
mode:
authorGravatar Andres Erbsen <andreser@mit.edu>2017-06-18 17:04:48 -0400
committerGravatar Andres Erbsen <andreser@mit.edu>2017-06-18 17:04:48 -0400
commite966c5ac810c7214b3f25c9f8ff7b965c0174f51 (patch)
treec05daafea9845ad1ff46c61dc3a444b5fd7e21ad /capture.sh
parent6d375335db79c5a50a929e03f3a0be2578f6cf49 (diff)
sh portability fixes in "make c"
Diffstat (limited to 'capture.sh')
-rwxr-xr-xcapture.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/capture.sh b/capture.sh
index 8e0455713..c41ee167d 100755
--- a/capture.sh
+++ b/capture.sh
@@ -1,4 +1,7 @@
#!/bin/sh
+set -e || true
+set -u || true
+set -o pipefail || true
machine=$(etc/machine.sh)
measurement=$($1/measure | (LC_ALL=C sort -n || true) | head -1024 | tail -1)